[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.EditChange

Signals the control changed state.

## Declaration

Source position: dbextctrls.pp line 51

`protected procedure TDBDateEdit.EditChange; override;`

## Description

EditChange is an overridden procedure which which signals the control is changed. EditChange ensures that the control updates its DataLink to indicate the change status. EditChange uses the Editing property in DataLink to see if the Modified method in DataLink is needed. EditChange calls the inherited method.

## See also

TFieldDataLink |  | Maintains an association between a control, an action, and a field in a linked dataset.
TFieldDataLink.Editing |  | True if the linked field is being edited.
TFieldDataLink.Modified |  | Updates the class when the linked dataset enters an edit state.